

Blockly.Blocks['placer_aleatoire'] = {
  init: function() {
    this.jsonInit({
      "message0": Blockly.Msg.PLACER_ALEATOIRE_TITLE,
      "args0": [
        {
          "type": "input_value",
          "name": "taille",
          "check": "Number"
        },
        {
          "type": "input_value",
          "name": "legende",
          "check": "Number"
        }
      ],
      "previousStatement": null,
      "nextStatement": null,
      "colour": Blockly.Blocks.math.HUE,
      "helpUrl": Blockly.Msg.PLACER_ALEATOIRE_HELPURL
    });
    var thisBlock = this;
	this.setInputsInline(false);
    this.getInput('taille').setAlign(Blockly.ALIGN_RIGHT);
    this.getInput('legende').setAlign(Blockly.ALIGN_RIGHT);
    this.setTooltip(function() {
		//return "tooltip";
		return Blockly.Msg.PLACER_ALEATOIRE_TOOLTIP.replace('%1',thisBlock.getFieldValue('taille'));
    });
  }
};

Blockly.Blocks['placer_case'] = {
  init: function() {
    this.jsonInit({
      "message0": Blockly.Msg.PLACER_CASE_TITLE,
      "args0": [
        {
          "type": "input_value",
          "name": "x",
          "check": "Number"
        },
        {
          "type": "input_value",
          "name": "y",
          "check": "Number"
        },
        {
          "type": "input_value",
          "name": "legende",
          "check": "Number"
        }
      ],
      "previousStatement": null,
      "nextStatement": null,
      "colour": Blockly.Blocks.math.HUE,
      "helpUrl": Blockly.Msg.PLACER_CASE_HELPURL
    });
    var thisBlock = this;
	this.setInputsInline(true);
    this.getInput('x').setAlign(Blockly.ALIGN_RIGHT);
    this.getInput('y').setAlign(Blockly.ALIGN_RIGHT);
    this.getInput('legende').setAlign(Blockly.ALIGN_RIGHT);
    this.setTooltip(function() {
		return Blockly.Msg.PLACER_CASE_TOOLTIP;
    });
  }
};

Blockly.Blocks['placer_horizontal'] = {
  init: function() {
    this.jsonInit({
      "message0": Blockly.Msg.PLACER_HORIZONTAL_TITLE,
      "args0": [
        {
          "type": "input_value",
          "name": "taille",
          "check": "Number"
        },
        {
          "type": "input_value",
          "name": "legende",
          "check": "Number"
        },
        {
          "type": "input_value",
          "name": "x",
          "check": "Number"
        },
        {
          "type": "input_value",
          "name": "y",
          "check": "Number"
        }
      ],
      "previousStatement": null,
      "nextStatement": null,
      "colour": Blockly.Blocks.math.HUE,
      "helpUrl": Blockly.Msg.PLACER_HORIZONTAL_HELPURL
    });
    var thisBlock = this;
	this.setInputsInline(false);
    this.getInput('taille').setAlign(Blockly.ALIGN_RIGHT);
    this.getInput('legende').setAlign(Blockly.ALIGN_RIGHT);
    this.getInput('x').setAlign(Blockly.ALIGN_RIGHT);
    this.getInput('y').setAlign(Blockly.ALIGN_RIGHT);
    this.setTooltip(function() {
		return Blockly.Msg.PLACER_HORIZONTAL_TOOLTIP;
    });
  }
};

Blockly.Blocks['placer_vertical'] = {
  init: function() {
    this.jsonInit({
      "message0": Blockly.Msg.PLACER_VERTICAL_TITLE,
      "args0": [
        {
          "type": "input_value",
          "name": "taille",
          "check": "Number"
        },
        {
          "type": "input_value",
          "name": "legende",
          "check": "Number"
        },
        {
          "type": "input_value",
          "name": "x",
          "check": "Number"
        },
        {
          "type": "input_value",
          "name": "y",
          "check": "Number"
        }
      ],
      "previousStatement": null,
      "nextStatement": null,
      "colour": Blockly.Blocks.math.HUE,
      "helpUrl": Blockly.Msg.PLACER_VERTICAL_HELPURL
    });
    var thisBlock = this;
	this.setInputsInline(false);
    this.getInput('taille').setAlign(Blockly.ALIGN_RIGHT);
    this.getInput('legende').setAlign(Blockly.ALIGN_RIGHT);
    this.getInput('x').setAlign(Blockly.ALIGN_RIGHT);
    this.getInput('y').setAlign(Blockly.ALIGN_RIGHT);
    this.setTooltip(function() {
		return Blockly.Msg.PLACER_VERTICAL_TOOLTIP;
    });
  }
};

