
Blockly.JavaScript['placer_aleatoire'] = function(block) {
  var argument0 = Blockly.JavaScript.valueToCode(block, 'taille',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  var argument1 = Blockly.JavaScript.valueToCode(block, 'legende',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  return 'placer_aleatoire(' + argument0 + ',' + argument1 + ');\n';
};

Blockly.JavaScript['placer_case'] = function(block) {
  var argument0 = Blockly.JavaScript.valueToCode(block, 'x',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  var argument1 = Blockly.JavaScript.valueToCode(block, 'y',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  var argument2 = Blockly.JavaScript.valueToCode(block, 'legende',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  return 'placer_case(' + argument0 + ',' + argument1 + ',' + argument2 + ');\n';
};

Blockly.JavaScript['placer_horizontal'] = function(block) {
  var argument0 = Blockly.JavaScript.valueToCode(block, 'taille',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  var argument1 = Blockly.JavaScript.valueToCode(block, 'legende',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  var argument2 = Blockly.JavaScript.valueToCode(block, 'x',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  var argument3 = Blockly.JavaScript.valueToCode(block, 'y',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  return 'placer_cases_horizontal(' + argument0 + ',' + argument1 + ',' + argument2 + ',' + argument3 + ');\n';
};

Blockly.JavaScript['placer_vertical'] = function(block) {
  var argument0 = Blockly.JavaScript.valueToCode(block, 'taille',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  var argument1 = Blockly.JavaScript.valueToCode(block, 'legende',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  var argument2 = Blockly.JavaScript.valueToCode(block, 'x',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  var argument3 = Blockly.JavaScript.valueToCode(block, 'y',
      Blockly.JavaScript.ORDER_ADDITION) || '0';
  return 'placer_cases_vertical(' + argument0 + ',' + argument1 + ',' + argument2 + ',' + argument3 + ');\n';
};

function placer_case(lig, col, legende) {
	if (lig<=10 && col<=10 && lig>=1 && col>=1) {
		//if (legende==0) legende="";
        modele(lig, col).value = legende;
    }
}

function placer_cases_horizontal(taille, legende, lig, col) {
	for(k=col;k<col+taille; k++) {
		placer_case(lig, k, legende);
	}
}

function placer_cases_vertical(taille, legende, lig, col) {
	for(k=lig;k<lig+taille; k++) {
		placer_case(k, col, legende);
	}
}
